Update a tag rule
curl --request PUT \
--url https://api.sandbox.teal.dev/v0/tags/rules/{tag_rule_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'teal-instance-id: <teal-instance-id>' \
--data '
{
"name": "Tag gas expense",
"tag_id": "Tag gas expense",
"expression": "match(\".*(?i)SHELL GAS\", t.description)",
"priority": 10
}
'import requests
url = "https://api.sandbox.teal.dev/v0/tags/rules/{tag_rule_id}"
payload = {
"name": "Tag gas expense",
"tag_id": "Tag gas expense",
"expression": "match(\".*(?i)SHELL GAS\", t.description)",
"priority": 10
}
headers = {
"teal-instance-id": "<teal-instance-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'teal-instance-id': '<teal-instance-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Tag gas expense',
tag_id: 'Tag gas expense',
expression: 'match(".*(?i)SHELL GAS", t.description)',
priority: 10
})
};
fetch('https://api.sandbox.teal.dev/v0/tags/rules/{tag_rule_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>"
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>"
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>"
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>"
}Update a tag rule
Updates a tag rule. Unspecified fields will not be updated.
PUT
/
v0
/
tags
/
rules
/
{tag_rule_id}
Update a tag rule
Authorizations
Bearer authentication header of the form Bearer , where is your auth token.
Headers
The teal instance ID
An optional identifier for audit logging.
Path Parameters
The tag ID
Body
application/json
An arbitrary string, useful for identifying the tag rule.
Example:
"Tag gas expense"
An arbitrary string, useful for identifying the tag rule.
Example:
"Tag gas expense"
A pattern matching expression using the match(pattern, field) function. Use t to access the Transaction object. The pattern supports regular expression syntax.
Read more: Categorization guide
Example:
"match(\".*(?i)SHELL GAS\", t.description)"
The priority of the rule.
Example:
10
Response
Successful Response
⌘I